Update a certification content item
patch
/hcmRestApi/resources/11.13.18.05/talentProviderCertificationItems/{talentProviderCertificationItemsUniqID}
Request
Path Parameters
-
talentProviderCertificationItemsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Certification Content Items resource and used to uniquely identify an instance of Certification Content Items. The client should not generate the hash key value. Instead, the client should query on the Certification Content Items collection resource in order to navigate to a specific instance of Certification Content Items to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ContentItemCode: string
Title:
Item CodeMaximum Length:30Code representing the certification content item. -
ContentSupplierCode: string
Title:
SupplierMaximum Length:30Name of the source where the certification content Item came from. -
DateFrom: string
(date)
Title:
From DateDate from which the certification content item is valid. -
DateTo: string
(date)
Title:
To DateDate till the certification content item is valid. -
Description: string
Title:
Item DescriptionMaximum Length:2000Description about the certification content item. -
Name: string
Title:
NameMaximum Length:700Name of the certification content item. The name must be unique with the content item catalog. -
Rank: number
Rank for the certification content item.
-
renewalLength: number
Renewal length of certification content item.
-
RenewalPeriod: string
Maximum Length:
30Code representing the renewal period of the certification content item. A list of accepted values is defined in the lookup HRT_VALIDITY_PERIOD. -
RenewalRequired: string
Maximum Length:
30Indicate whether the renewal is required for the certification content item. Valid values are Y and N. The attribute doesn't have a default value. -
ShortDescription: string
Maximum Length:
240Short description about the certification content item. -
ThirdPartyVerificationFlag: boolean
Maximum Length:
30Indicates whether third party verification is required for the certification item. Valid values are true and false.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : talentProviderCertificationItems-item-response
Type:
Show Source
object-
ContentItemCode: string
Title:
Item CodeMaximum Length:30Code representing the certification content item. -
ContentItemId: integer
(int64)
Title:
Content Item IDUnique identifier of the certification content item. Value for the attribute is derived internally. -
ContentSupplierCode: string
Title:
SupplierMaximum Length:30Name of the source where the certification content Item came from. -
DateFrom: string
(date)
Title:
From DateDate from which the certification content item is valid. -
DateTo: string
(date)
Title:
To DateDate till the certification content item is valid. -
Description: string
Title:
Item DescriptionMaximum Length:2000Description about the certification content item. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Title:
NameMaximum Length:700Name of the certification content item. The name must be unique with the content item catalog. -
Rank: number
Rank for the certification content item.
-
renewalLength: number
Renewal length of certification content item.
-
RenewalPeriod: string
Maximum Length:
30Code representing the renewal period of the certification content item. A list of accepted values is defined in the lookup HRT_VALIDITY_PERIOD. -
RenewalRequired: string
Maximum Length:
30Indicate whether the renewal is required for the certification content item. Valid values are Y and N. The attribute doesn't have a default value. -
ShortDescription: string
Maximum Length:
240Short description about the certification content item. -
ThirdPartyVerificationFlag: boolean
Maximum Length:
30Indicates whether third party verification is required for the certification item. Valid values are true and false.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.